## ros-indigo-iai-robosherlock-actions 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(iai_robosherlock_actions)

find_package(catkin REQUIRED COMPONENTS 
  geometry_msgs 
  shape_msgs
  designator_integration_msgs
  actionlib_msgs 
  message_generation)

add_message_files (
  FILES
  PerceivedObject.msg
  PerceivedObjects.msg
  SimpleObjectPerceptionRequest.msg)

add_action_files(
  FILES
  SimplePerceiveObject.action)

generate_messages(
  DEPENDENCIES
  geometry_msgs
  shape_msgs
  designator_integration_msgs
  actionlib_msgs)

catkin_package(
  CATKIN_DEPENDS 
    geometry_msgs 
    designator_integration_msgs
    shape_msgs 
    actionlib_msgs 
    message_runtime)

=== debian/changelog ===
ros-indigo-iai-robosherlock-actions (0.0.5-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Thu, 23 Apr 2015 22:00:00 -0000

ros-indigo-iai-robosherlock-actions (0.0.4-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Wed, 18 Mar 2015 23:00:00 -0000

ros-indigo-iai-robosherlock-actions (0.0.3-3trusty) trusty; urgency=high

  * changed RS action interface to use designator msgs
  * Updated changelog of iai_robosherlock_actions.
  * Deleted action-definition DetectPancake
  * Added action-definition SimplePerceiveObject.
  * Renamed iai_pancake_perception_action into iai_robosherlock_actions.
  * Contributors: Ferenc Balint-Benczedi, Georg Bartels

 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-iai-robosherlock-actions (0.0.2-3trusty) trusty; urgency=high

  * Increased version numbers
  * renamed iai_pancake_perception_action into iai_robosherlock_actions
  * added new action-definition 'SimplePerceiveObject'
  * removed action-definition 'DetectPancake'
  * Contributiors: Georg Bartels

 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Mon, 23 Jun 2014 22:00:00 -0000

ros-indigo-iai-robosherlock-actions (0.0.1-3trusty) trusty; urgency=high

  * Corrected version numbers
  * Corrected some information in package.xml and CMakeLists.txt as reported by catkin_lint
  * catkinezed pancake perception added metapackage
  * Added simple action interface for pancake perception.
  * Contributors: Ferenc Balint-Benczedi, Georg Bartels, Jan Winkler

 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Thu, 15 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-iai-robosherlock-actions
Section: misc
Priority: extra
Maintainer: Georg Bartels <georg.bartels@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-designator-integration-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-shape-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-iai-robosherlock-actions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-designator-integration-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-shape-msgs
Description: Action interfaces to trigger perception via the Robosherlock perception system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-iai-robosherlock-actions//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
